Skip to content
Go to Micro

List webhooks

webhooks.list(WebhookListParams**kwargs) -> WebhookListResponse
GET/v2/webhooks/{teamId}

Lists the team’s webhooks. Signing secrets are never included.

ParametersExpand Collapse
team_id: Optional[str]
formatuuid
ReturnsExpand Collapse
class WebhookListResponse:
data: List[Webhook]
id: str
formatuuid
created_at: datetime
formatdate-time
enabled: bool

Disabled webhooks are skipped at delivery time.

name: str
team_id: str
formatuuid
url: str

Endpoint events are delivered to.

formaturi
verified: bool

True once the endpoint has completed the verification handshake.

description: Optional[str]
updated_at: Optional[datetime]
formatdate-time
verification_token: Optional[str]

Stable token replayed to the endpoint (as the micro_hook_token query param) during the verification handshake. The endpoint may check it to confirm the request originated from Micro.

verified_at: Optional[datetime]
formatdate-time

List webhooks

import os
from micro_so import Micro

client = Micro(
    api_key=os.environ.get("MICRO_API_KEY"),  # This is the default and can be omitted
)
webhooks = client.webhooks.list()
print(webhooks.data)
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "enabled": true,
      "name": "name",
      "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "url": "https://example.com",
      "verified": true,
      "description": "description",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "verification_token": "verification_token",
      "verified_at": "2019-12-27T18:11:19.117Z"
    }
  ]
}
Returns Examples
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "enabled": true,
      "name": "name",
      "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "url": "https://example.com",
      "verified": true,
      "description": "description",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "verification_token": "verification_token",
      "verified_at": "2019-12-27T18:11:19.117Z"
    }
  ]
}